# OgreAny.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreException.h"`
`#include "OgreString.h"`
`#include <algorithm>`
`#include <typeinfo>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

template<typename ValueType>
ValueType * | any_cast (Any *operand)
template<typename ValueType>
const ValueType * | any_cast (const Any *operand)
template<typename ValueType>
ValueType | any_cast (const Any &operand)

## Function Documentation

template<typename ValueType>
ValueType Ogre::any_cast | ( | const Any & | operand | ) |

| Definition at line 387 of file OgreAny.h. References Ogre::Exception::ERR_INVALIDPARAMS, Ogre::Any::getType(), and OGRE_EXCEPT.

template<typename ValueType>
const ValueType* Ogre::any_cast | ( | const Any * | operand | ) |

| Definition at line 381 of file OgreAny.h.

template<typename ValueType>
ValueType* Ogre::any_cast | ( | Any * | operand | ) |

| Definition at line 373 of file OgreAny.h. References Ogre::Any::getType(), and Ogre::Any::mContent.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009